"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_ilogger_1 = require("typescript-ilogger");
const handler_1 = require("./handler");
const handler = new handler_1.Handler(typescript_ilogger_1.LogLevel.Off);
describe(`${handler_1.Handler.name}.${handler.Execute.name}`, () => {
    test(`throws for null context`, async () => {
        const actual = handler.Execute('payload', {}, {}, () => {
            return Promise.resolve('response');
        });
        return await expect(actual).rejects.toThrow('Must supply context');
    });
});
describe(`${handler_1.Handler.name}.${handler.OrchestrateSQS.name}`, () => {
    test(`throws for null queueUrl`, async () => {
        const actual = handler.OrchestrateSQS([], '', () => {
            return Promise.resolve();
        });
        return await expect(actual).rejects.toThrow('Must supply queueUrl');
    });
});
//# sourceMappingURL=handler.spec.js.map